Remove inbox tags from a contact thread
curl --request DELETE \
--url https://openapi.enginy.ai/v1/inbox/contacts/:contactId/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagIds": [
8
],
"senderIdentityId": 14
}
'import requests
url = "https://openapi.enginy.ai/v1/inbox/contacts/:contactId/tags"
payload = {
"tagIds": [8],
"senderIdentityId": 14
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagIds: [8], senderIdentityId: 14})
};
fetch('https://openapi.enginy.ai/v1/inbox/contacts/:contactId/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Inbox tags removed successfully",
"data": {
"contactId": 123,
"tagIds": [
8
],
"success": true
}
}Inbox
Remove inbox tags from a contact thread
Remove one or more tags from a contact thread.
Required parameters:
- contactId: contact ID path parameter.
- tagIds: array of tag IDs in the request body.
Optional body fields:
-
senderIdentityId: target one sender-specific thread when the same contact appears under multiple sender identities.
Required scope:
MESSAGING_WRITERate limit: 30 requests per minute
DELETE
/
v1
/
inbox
/
contacts
/
:contactId
/
tags
Remove inbox tags from a contact thread
Authorizations
Path Parameters
Contact ID for the thread you want to inspect
Example:
"123"
Body
application/json